# TicketflyPlus V 0.2.0

Get usable ticketfly data.

#### Work in progress

Testing, Standard Location params

### Testing

Work in progress...

## Installation

Add this line to your application's Gemfile:

    gem 'ticketfly_plus'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ticketfly_plus

## Usage

#### First make a request using the requestors:

    response = TicketflyPlus::Requestors::Events.new(:orgId => 1).upcoming.data

#### Then pass the response to the corresponding TicketflyPlus response:

    data = TicketflyPlus::Responses::Events.new(response)
    
### Shareasale 

    You must have an environment variable to use. 
    ENV['SHAREASALE'] must be set to your shareasale id.

    Example

    data.events[0].share_a_sale

    It parses the ticketPurchaseUrl into a ShareASale url.

### Requestors Params

    Params are passed in when requestor is called. Pass them in as symbols, ie, :artistName => 'your_artist_here'. 

#### Events
:artistName
:fieldGroup
:fields
:fromDate
:maxResults
:orgId
:pageNum
:q
:skin
:tflyTicketed
:thruDate
:venueId

##### Non standard location params

:geo 
:ip
:clientip
:distance


##### Work in progress...

## Contributing

1. Fork it ( https://github.com/[my-github-username]/ticketfly_plus/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
