# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ticketfly_plus/version'

Gem::Specification.new do |spec|
  spec.name          = "ticketfly_plus"
  spec.version       = TicketflyPlus::VERSION
  spec.authors       = ["Joshua Nathaniel Miller"]
  spec.email         = ["jnmiller15@gmail.com"]
  spec.summary       = %q{"Api wrapper for ticketfly"}
  spec.description   = %q{"Get usable ticketfly data"}
  spec.homepage      = "http://github.com/joshuaNathaniel/ticketflyPlus"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rspec-nc"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "pry-remote"
  spec.add_development_dependency "pry-nav"
end
